function [new] = diff_drive_convert_rel_meas_to_abs(xs, lms)
% converts many relative lm estimates to many absolute estimates

    [n m] = size(xs);
    
    for i=1:n,
        
        x(1,1) = xs(i,2);
        x(2,1) = xs(i,3);
        x(3,1) = xs(i,4);
        
        l(1,1) = lms(i,2);
        l(2,1) = lms(i,3);
        l(3,1) = lms(i,4);
        
        n = diff_drive_one_lm_meas_to_cartesian(x, l);
        
        new(i,1) = xs(i,1);
        new(i,2) = n(1,1);
        new(i,3) = n(2,1);
        new(i,4) = n(3,1);

    end;