
% noise settings for environment
% true process noise
problem.env.process.noise.value = [0, 0, 0]; % zero-mean
problem.env.process.noise.uncert = [1^2, 0, 0; 0, 1^2, 0; 0,0,0.5^2]; % covariance

% true measurement noise
problem.env.meas.noise.value = [0;0;0];
problem.env.meas.noise.uncert = [1*2^2, 0,0; 0,1*2^2,0; 0,0,1*0.02^2];

 

% KF process noise
problem.model.process.noise.value = [0; 0; 0]; % zero mean noise
problem.model.process.noise.uncert = [1*1^2, 0, 0; 0, 1*1^2, 0; 0,0,1*0.5^2];   % with some independent noise


% KF measurement noise
problem.model.meas.noise.value = [0; 0; 0];
problem.model.meas.noise.uncert = [1*2^2, 0,0; 0,1*2^2,0; 0,0,1*2^2];



% initial true state and uncertainty
%problem.env.state.value = [100; 100; 0]; % latest step result
%problem.env.state.uncert = [1^2, 0,0; 0,1^2,0; 0,0,0.1^2]; 
problem.env.state.value = [100; 100; 0]; % latest step result
problem.env.state.uncert = [1^2, 0,0; 0,1^2,0; 0,0,5^2]; 


% initial KF state and uncertainty
problem.model.state_est.value = [100; 100; 0]; %problem.env.state.value;  
problem.model.state_est.uncert = problem.env.state.uncert; 

% is KF initial belief uniform?
global uniform_belief;
uniform_belief = 1


% add noise to initial state
%[mm nn] = size(problem.env.state.value);
%for iiii=1:mm, problem.env.state.value(iiii,1) = problem.env.state.value(iiii,1) + sqrt(problem.env.state.uncert(iiii,iiii))*randn; end;

   

% make the world
%make_world;

% set up the control parameters
global control_para;
control_para.straight_steps = 0;
control_para.length = 500;
control_para.distance_step_size = 10;
control_para.turn_step_size = 0.25*2*pi;

%global one_lm_meas_para;
%one_lm_meas_para.max_dist = 200;

global meas_counter;
meas_counter = 0

global steps_per_measurement
%steps_per_measurement = 9 %nr of steps before a measurement is given
steps_per_measurement = 300 %nr of steps before a measurement is given

global show_printing;
show_printing = 0;

% how many steps?
steps = 205
