function [x_real_to] = polynom_process_step(x_real_from, real_control_input)
% performs a 'real' step

    %  Q_real = [1.0];
    global Q_real;
    
    % x_real_from is expected to be [x v]'
    % control_input is expected to be [delta v]
    
    % update pure process, without control_input
    
    % new state 
    x_real_to(1,1) = sin(x_real_from(1,1));
  
      
    % add real Gaussian process noise
    [m n] = size(x_real_from);
    for i=1:m, x_real_to(i) = x_real_to(i,1) + sqrt(Q_real(i,i))*randn; end;
    
        
    %disp 'real process step made.';

   