function [res_val, res_uncert] = convert_step_data_2_arr(data)

    [r c] = size(data);
    
    index = 0;
    
    for i=1:r, % walk through all structs
        
        [tmp nr_data] = size(data(i).data);
        
        for j=1:nr_data, % walk through all subdata,
            
            index = index + 1;
            
            r1 = struct2arr2(data(i).data(j).value); % convert value
            r2 = struct2arr2(data(i).data(j).uncert); % convert uncert
            
            [a b] = size(r1);
            
            res_val(index, 1) = data(i).step;
            for ii=1:b,
                res_val(index, ii+1) = r1(1,ii);
            end;
            
            [a b] = size(r2);
            res_uncert(index,1) = data(i).step;
            for ii=1:b,
                res_uncert(index, ii+1) = r2(1,ii);
            end;
            
        end;
        
    end;