% initialize kf methods
pr 'creating Kalman Filter methods';

kf_method(1).name = 'Linear Kalman Filter';
kf_method(1).short_name = 'LKF';
kf_method(1).make_step = @make_lkf_step;

kf_method(2).name = 'Linearized Kalman Filter';
kf_method(2).short_name = 'LZKF';
kf_method(2).make_step = @make_lzkf_step;

kf_method(3).name = 'Extended Kalman Filter';
kf_method(3).short_name = 'EKF';
kf_method(3).make_step = @make_ekf_step;

kf_method(4).name = 'Iterated Extended Kalman Filter';
kf_method(4).short_name = 'IEKF';
kf_method(4).make_step = @make_iekf_step;

kf_method(5).name = 'Extended Kalman Filter with Measure IDs';
kf_method(5).short_name = 'EKFx';
kf_method(5).make_step = @make_ekfx_step;

pr 'Kalman Filter methods created.';
