
% display true drive path (x vs y) with true measurements
figure
plot(data.process(:,2),data.process(:,3));
xlabel 'x';
ylabel 'y';
title 'true x and y trajectory with true measurements';

%add numbers
[m n] = size(data.process(:,2));
text(data.process(1,2),data.process(1,3),num2str(1));
for i=5:5:m,
    text(data.process(i,2),data.process(i,3),['x_{' num2str(i) '}']);
end

% add measurements
hold
plot(data.meas(:,2),data.meas(:,3),'bo');




% display true x trajectory with measurements
figure
plot(data.process(:,1),data.process(:,2));
xlabel 'step';
ylabel 'x_{[1]}';
title 'true x trajectory with x measurements';
hold
    
% add true measurements
plot(data.meas(:,1),data.meas(:,2),'o');

% and make labels




% display true y trajectory with measurements
figure
plot(data.process(:,1),data.process(:,3));
xlabel 'step';
ylabel 'x_{[2]}';
title 'true y trajectory with y measurements';
hold
    
% add true measurements
plot(data.meas(:,1),data.meas(:,3),'o');


% display true orientation trajectory with measurements
figure
plot(data.process(:,1),data.process(:,4));
xlabel 'step';
ylabel 'x_{[3]}';
title 'true orientation trajectory with orientation measurements';
hold
    
% add true measurements
plot(data.meas(:,1),data.meas(:,4),'o');



