function [A] = track_drive_process_function_Jacobian_x(x_from, control_input)

    % x_from is expected to be [x v]'
    % control_input is expected to be [delta v]
   
    % returns Jacobian with partial derivatives w.r.t x, given x_from and
    % control_input
    
    A(1,1) = 1; % dfx/dxx
    A(1,2) = 1; % dfx/dxv
    A(2,1) = 0; % dfv/dxx
    A(2,2) = 1; % dfv/dxv
    
      
  %  disp 'Process Jacobian wrt x made.';

