function [z_cart] = diff_drive_one_lm_meas_to_cartesian(x, lm)
% converts lm from robot perspective to global perspective

    z_cart(1,1) = lm(1,1)*cos(x(3,1)) - lm(2,1)*sin(x(3,1)) + x(1,1);
    z_cart(2,1) = lm(1,1)*sin(x(3,1)) + lm(2,1)*cos(x(3,1)) + x(2,1);
    z_cart(3,1) = lm(3,1) + x(3,1);
    