function [para, paras, n] = paras2string(prob, func)
% concatenates the values of parameters to a string list
% beginning with a comma(!)

    % get number of parameters
    [m n] = size(func.para);

    
    % load current parameters
    for i=1:n,
        para(i) = feval(func.para(i).get_value, prob);
    end;

    
    % create string list of parameters
    paras = [];
    
 %   for i=1:n,  % concatenate parameter string parts
 %       paras = strcat(paras, ', para(', num2str(i), ')' );
 %end;
 
     if n==1, paras = ', para(1)';
     elseif n==2, paras = ', para(1), para(2)';
     elseif n==3, paras = ', para(1), para(2), para(3)';
    elseif n==4, paras = ', para(1), para(2), para(3), para(4)';
    else
         error 'Help me in paras2string.m:)!';
         disp 'Need some extra coding done here..';
         pause;
     end;