function [mix] = mix_covars(data)

    % mix a-priori and a-posteriori covar to see changes

    [n m] = size(data.c_x_prior);

    index = 0;

    for i=1:n, % walk though a_priori covars
    
        index = index+1;
    
        % at every step, save in mix table
        mix(index,1) = data.c_x_prior(i,1);
       
        for j=2:m,
            mix(index,j) = data.c_x_prior(i,j);
        end;
    
        index = index+1;
    
        % at every step, save also a_post in mix table
        mix(index,1) = data.c_x_prior(i,1)+0.5; % updat time step to make difference more clear
       
        for j=2:m,
            mix(index,j) = data.c_x_post(i,j);
        end;
    end;